curl --request POST \
--url https://api.anchorbrowser.io/v1/task/run/{taskName} \
--header 'Content-Type: application/json' \
--header 'anchor-api-key: <api-key>' \
--data '{}'import requests
url = "https://api.anchorbrowser.io/v1/task/run/{taskName}"
payload = {}
headers = {
"anchor-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'anchor-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.anchorbrowser.io/v1/task/run/{taskName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"success": true,
"async": true,
"message": "<string>",
"taskId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"executionTime": 123,
"output": "<string>",
"error": "<string>",
"executionResultId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": 123,
"message": "<string>"
}
}{
"error": {
"code": 123,
"message": "<string>"
}
}Run Task by Name (Legacy)
Executes a task by its name, always using the latest version. This is a convenience endpoint for running tasks without needing to know the task ID.
If you are using the new Task Builder, see the non-deprecated Tasks endpoints in this API reference.
Authorizations
API key for your Anchor Browser account, sent as the anchor-api-key header on every
request. Create one at app.anchorbrowser.io (API Access),
or obtain one programmatically via the unauthenticated agent-access flow
(POST /v1/agent-access).
Path Parameters
The name of the task to run
^[a-zA-Z0-9_-]+$"web-scraper"
Body
Optional existing browser session ID to use for task execution
Whether to run the task asynchronously
Override browser configuration for this execution
Show child attributes
Show child attributes
Environment variables for task execution (keys must start with ANCHOR_)
Show child attributes
Show child attributes
Whether to cleanup browser sessions after task execution. Defaults to true.
Response
Task executed successfully
Show child attributes
Show child attributes
Was this page helpful?

